Written by
🚧 [Experimental] Get Trino resource preset
Returns the specified Trino resource preset.
Request
POST
https://api.datalens.tech/rpc/getTrinoResourcePreset
Headers
|
Name |
Description |
|
x-dl-api-version |
Type: string API version header. Const: Example: |
Body
application/json
{
"resourcePresetId": "example",
"cloudEnvironmentId": "example"
}
|
Name |
Description |
|
cloudEnvironmentId |
Type: string ID of the cloud environment the resource preset is requested for. Min length: Max length: Example: |
|
resourcePresetId |
Type: string ID of the resource preset to return. Min length: Max length: Example: |
Responses
200 OK
Response
Body
application/json
{
"id": "example",
"cores": "example",
"memory": "example"
}
|
Name |
Description |
|
cores |
Type: string Number of CPU cores for an instance created with the preset. Example: |
|
id |
Type: string ID of the resource preset. Min length: Example: |
|
memory |
Type: string RAM volume for an instance created with the preset, in bytes. Example: |